Bug 1602816 - [RFE] hosted-engine deployment playbook should reject bridging over a teaming device with a clear error
Summary: [RFE] hosted-engine deployment playbook should reject bridging over a teaming...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 4.2.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: Asaf Rachmani
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 14:53 UTC by Sergio Lopez
Modified: 2020-08-03 15:35 UTC (History)
5 users (show)

Fixed In Version: ovirt-ansible-hosted-engine-setup-1.1.0
Doc Type: Enhancement
Doc Text:
Previously, if you tried to deploy hosted-engine over a teaming device, it would try to proceed and then fail with an error. The current release fixes this issue. It filters out teaming devices. If only teaming devices are available, it rejects the deployment with a clear error message that describes the issue.
Clone Of:
Environment:
Last Closed: 2020-04-16 10:36:38 UTC
oVirt Team: Integration
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-ansible-hosted-engine-setup pull 290 0 None closed tasks: pre_check: Filter teaming devices 2020-10-03 20:37:04 UTC
Github oVirt ovirt-ansible-hosted-engine-setup pull 293 0 None closed tasks: filter_team_devices: Use device instead of connection name 2020-10-03 20:37:04 UTC

Description Sergio Lopez 2018-07-18 14:53:37 UTC
Description of problem:

RHV doesn't support teaming devices, as stated in the following KCS and BZ:

 - https://access.redhat.com/solutions/2852031
 - https://bugzilla.redhat.com/show_bug.cgi?id=1549300

But trying to deploy a hosted-engine bridging over a teaming device will attempt to proceed and fail with this error:

[ ERROR ] fatal: [localhost]: FAILED! => {"changed": false, "msg": "The host has been set in non_operational status, please check engine logs, fix accordingly and re-deploy.\n"}

Please consider extending the playbook for checking teaming devices on the Host, and rejecting the deployment with a clear error message.


Version-Release number of selected component (if applicable):

Tested with RHVH-4.2-20180627.1-RHVH-x86_64-dvd1.iso.

Comment 1 Simone Tiraboschi 2018-07-23 15:06:24 UTC
It seams an ansible bug: ansible doesn't really discriminate team interface from plain ones.

https://github.com/ansible/ansible/issues/43129

Comment 3 Sandro Bonazzola 2019-01-21 08:28:49 UTC
re-targeting to 4.3.1 since this BZ has not been proposed as blocker for 4.3.0.
If you think this bug should block 4.3.0 please re-target and set blocker flag.

Comment 5 Sandro Bonazzola 2019-02-18 07:54:58 UTC
Moving to 4.3.2 not being identified as blocker for 4.3.1.

Comment 6 Sandro Bonazzola 2019-03-11 08:57:58 UTC
Moving to 4.4.0

Comment 10 Lukas Svaty 2020-04-16 10:36:38 UTC
Closing low severity bugs, based on QE capacity, if you would like to still verify this issue please reopen.

Comment 11 Rolfe Dlugy-Hegwer 2020-06-23 20:39:13 UTC
Feature: Filter Team devices in Hosted-Engine deployment

Reason: Teaming is not supported on RHV

Result: Rejecting the deployment with a clear error message in case that only Team devices are available


Note You need to log in before you can comment on or make changes to this bug.